%global _hardened_build 1
%global libname joedog
%global current 0

Name:           lib%{libname}
Version:        %{current}.1.2
Release:        %mkrel 3
Summary:        Repack of the common code base of fido and siege as shared library
Group:          System/Libraries
License:        GPLv2+ and LGPLv2+
URL:            http://www.%{libname}.org/
Source0:        https://github.com/rmohr/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  libtool

%description
Siege is a library containing the common code base of siege and fido by Jeff
Fulmer. It consists mostly of convenience wrapper functions and a hash table
implementation.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
%{summary}.


%prep
%setup -q
# old autotools want m4-dir to be present
mkdir -p m4

%build
autoreconf -vfi
%configure2_5x --disable-static
# dirty hack to force immediate binding with hardenend build having
# autocrap's libtool pass the needed ld-specs to the linker.
sed -i -e 's! \\\$compiler_flags !&%{?_hardening_ldflags} !' libtool
%make

%install
%make_install

install -Dpm 0644 config.h %{buildroot}%{_includedir}/%{libname}
rm -f %{buildroot}%{_libdir}/%{name}.la

%files
%doc README ChangeLog COPYING
%{_libdir}/%{name}.so.%{current}
%{_libdir}/%{name}.so.%{version}

%files devel
%{_includedir}/%{libname}
%{_libdir}/%{name}.so


%changelog
* Sat Jan 16 2016 daviddavid <daviddavid> 0.1.2-3.mga6
+ Revision: 923499
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-2.mga5
+ Revision: 750735
- Second Mageia 5 Mass Rebuild

* Sat Oct 11 2014 juancho <juancho> 0.1.2-1.mga5
+ Revision: 738070
- imported package libjoedog


* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Nov 18 2013 Roman Mohr <roman@fenkhuber.at> - 0.1.2-1
- adding new macros for upstream siege 3.0.5

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 27 2013 Björn Esser <bjoern.esser@gmail.com> - 0.1.1-4
- changed %%_hardening_ldflags to %%{?_hardening_ldflags}
  Will now expand to {NULL} if not defined
- fixes build on rhel <= 6

* Thu Jun 27 2013 Björn Esser <bjoern.esser@gmail.com> - 0.1.1-3
- force libtool to pass %%_hardening_ldflags during linkage, only,
  instead of full ${C,LD}FLAGS

* Wed Jun 26 2013 Björn Esser <bjoern.esser@gmail.com> - 0.1.1-2
- install config.h in package, since it's needed for includes

* Wed Jun 26 2013 Björn Esser <bjoern.esser@gmail.com> - 0.1.1-1
- new upstream-version
- fixes build for el5
- force libtool to use all hardening-flags

* Mon Jun 24 2013 Roman Mohr <roman@fenkhuber.at> - 0.1.0-2
- fixed as proposed in bz #977367 comment 2
- enabled hardened build, trimmed BuildRequires, added Group for el5
- replaced hardcoded name with %%{name}, added %%{libname}
- some clean-ups and improvement of readabilty
- moving source to github

* Sun Jun 23 2013 Roman Mohr <roman@fenkhuber.at> - 0.1.0-1
- initial release
